/*(c)2007 Samuel Villarreal*/

#ifndef __KSSC__
#define __KSSC__

typedef unsigned char byte;
typedef unsigned int uint;
typedef unsigned short ushort;

#define DEFAULTNO	"NO.  you don't have what i want for the  "
#define DEFAULTYES	"you got the "

#define BLOCKSIZE	1516

#define DECOMP1		"-decompile"
#define	DECOMP2		"-d"

typedef struct {
	int GiveType;
	int Item[3];
	int Count[3];
	char Reply[32];	
	char Yes[80];
	int Link;
	int Log;
	char No[80];
} npcChoice_t;

typedef struct {
	int SpeakerType;
	int DropType;
	int ItemCheck[3];
	int Link;
	char Name[16];
	char Sound[8];
	char Backdrop[8];
	char Dialogue[320];	
	npcChoice_t Responses[5];
} npc_t;

#define MAX_NPC			256
#define	MAX_CHOICE		5
#define ASCII_QUOTE		34
extern npc_t npc[MAX_NPC];

static char *ThingList[] = {
	"MT_FIELDGUARD",//0
	"MT_PLAYER",//1
	"MT_SHOPKEEPER_W",//2
	"MT_SHOPKEEPER_B",//3
	"MT_SHOPKEEPER_A",//4
	"MT_SHOPKEEPER_M",//5
	"MT_PEASANT2_A",//6
	"MT_PEASANT2_B",//7
	"MT_PEASANT2_C",//8
	"MT_PEASANT5_A",//9
	"MT_PEASANT5_B",//10
	"MT_PEASANT5_C",//11
	"MT_PEASANT4_A",//12
	"MT_PEASANT4_B",//13
	"MT_PEASANT4_C",//14
	"MT_PEASANT6_A",//15
	"MT_PEASANT6_B",//16
	"MT_PEASANT6_C",//17
	"MT_PEASANT3_A",//18
	"MT_PEASANT3_B",//19
	"MT_PEASANT3_C",//20
	"MT_PEASANT8_A",//21
	"MT_PEASANT8_B",//22
	"MT_PEASANT8_C",//23
	"MT_PEASANT7_A",//24
	"MT_PEASANT7_B",//25
	"MT_PEASANT7_C",//26
	"MT_PEASANT1",//27
	"MT_ZOMBIE",//28
	"MT_BECOMING",//29
	"MT_ZOMBIESPAWNER",//30
	"MT_HUGE_TANK_1",//31
	"MT_HUGE_TANK_2",//32
	"MT_HUGE_TANK_3",//33
	"MT_TANK_4",//34
	"MT_TANK_5",//35
	"MT_TANK_6",//36
	"MT_KNEELING_GUY",//37
	"MT_BEGGAR1",//38
	"MT_BEGGAR2",//39
	"MT_BEGGAR3",//40
	"MT_BEGGAR4",//41
	"MT_BEGGAR5",//42
	"MT_REBEL1",//43
	"MT_REBEL2",//44
	"MT_REBEL3",//45
	"MT_REBEL4",//46
	"MT_REBEL5",//47
	"MT_REBEL6",//48
	"MT_RLEADER",//49
	"MT_RLEADER2",//50
	"MT_MISSILESMOKE",//51
	"MT_REAVER",//52
	"MT_GUARD1",//53
	"MT_GUARD2",//54
	"MT_GUARD3",//55
	"MT_GUARD4",//56
	"MT_GUARD5",//57
	"MT_GUARD6",//58
	"MT_GUARD7",//59
	"MT_GUARD8",//60
	"MT_SHADOWGUARD",//61
	"MT_PGUARD",//62
	"MT_CRUSADER",//63
	"MT_BISHOP",//64
	"MT_ORACLE",//65
	"MT_PRIEST",//66
	"MT_SPECTURE_A",//67
	"MT_NODE",//68
	"MT_SPECTUREHEAD",//69
	"MT_SPECTURE_B",//70
	"MT_SPECTURE_C",//71
	"MT_SPECTURE_D",//72
	"MT_SPECTURE_E",//73
	"MT_ENTITY",//74
	"MT_SUBENTITY",//75
	"MT_NEST",//76
	"MT_POD",//77
	"MT_SIGIL_B_SHOT",
	"MT_SIGIL_SB_SHOT",
	"MT_SIGIL_C_SHOT",
	"MT_SIGIL_SC_SHOT",
	"MT_SIGIL_E_OFFSHOOT",
	"MT_SIGIL_TRAIL",
	"MT_SIGIL_E_SHOT",
	"MT_SIGIL_SE_SHOT",
	"MT_SIGIL_A_ZAP_LEFT",
	"MT_SIGIL_A_ZAP_RIGHT",
	"MT_SIGIL_A_GROUND",
	"MT_SIGIL_D_SHOT",
	"MT_SIGIL_SD_SHOT",
	"MT_SENTINEL",
	"MT_STALKER",
	"MT_INQUISITOR",
	"MT_INQARM",
	"MT_PROGRAMMER",
	"MT_PROGRAMMERBASE",
	"MT_HOOKSHOT",
	"MT_CHAINSHOT",
	"MT_MINIMISSLE",
	"MT_C_MISSILE",
	"MT_SEEKMISSILE",
	"MT_ELECARROW",
	"MT_POISARROW",
	"MT_R_LASER",
	"MT_L_LASER",
	"MT_HEGRENADE",
	"MT_PGRENADE",
	"MT_INQGRENADE",
	"MT_PFLAME",
	"MT_TORPEDO",
	"MT_TORPEDOSPREAD",
	"MT_SFIREBALL",
	"MT_C_FLAME",
	"MT_STRIFEPUFF3",
	"MT_STRIFEPUFF",
	"MT_SPARKPUFF",
	"MT_BLOOD_DEATH",
	"MT_TFOG",
	"MT_IFOG",
	"MT_TELEPORTMAN",
	"MT_MISC_01",
	"MT_TURRET",
	"MT_GATE",
	"MT_COMPUTER",
	"MT_INV_MED1",
	"MT_INV_MED2",
	"MT_INV_MED3",
	"MT_DEGNINORE",
	"MT_INV_ARMOR2",
	"MT_INV_ARMOR1",
	"MT_MISC_22",	//WATER_BOTTLE
	"MT_MISC_11",	//MUG
	"MT_KEY_BASE",
	"MT_GOVSKEY",
	"MT_KEY_TRAVEL",
	"MT_KEY_ID_BLUE",
	"MT_PRISONKEY",
	"MT_KEY_HAND",
	"MT_POWER1KEY",
	"MT_POWER2KEY",
	"MT_POWER3KEY",
	"MT_KEY_GOLD",
	"MT_KEY_ID_GOLD",
	"MT_KEY_SILVER",
	"MT_KEY_ORACLE",
	"MT_MILITARYID",
	"MT_KEY_ORDER",
	"MT_KEY_WAREHOUSE",
	"MT_KEY_BRASS",
	"MT_KEY_RED_CRYSTAL",
	"MT_KEY_BLUE_CRYSTAL",
	"MT_KEY_CHAPEL",
	"MT_CATACOMBKEY",
	"MT_SECURITYKEY",
	"MT_KEY_CORE",
	"MT_KEY_MAULER",
	"MT_KEY_FACTORY",
	"MT_KEY_MINE",
	"MT_NEWKEY5",
	"MT_INV_SHADOWARMOR",
	"MT_INV_SUIT",
	"MT_QUEST_UNIFORM",
	"MT_QUEST_GUARD_UNIFORM",
	"MT_INV_SUPERMAP",
	"MT_INV_RADAR",
	"MT_BEACON",
	"MT_INV_TARGETER",
	"MT_INV_GOLD1",	//	"MT_MONY_1
	"MT_INV_GOLD10",
	"MT_INV_GOLD25",
	"MT_INV_GOLD50",
	"MT_INV_GOLD300",
	"MT_TOKEN_RING",
	"MT_INV_CHALICE",
	"MT_TOKEN_EAR",
	"MT_INV_COMMUNICATOR",
	"MT_AGREN",
	"MT_APGREN",
	"MT_ACLIP",
	"MT_AAMMOBOX",
	"MT_AMINI",
	"MT_AMINIBOX",
	"MT_ACELL",
	"MT_APCELL",
	"MT_APAROW",
	"MT_AAROW",
	"MT_INV_SATCHEL",
	"MT_RIFLE",	//	"MT_PULSE
	"MT_RIFLESTAND",
	"MT_FLAMETHROWER",
	"MT_TOKEN_FLAME_THROWER_PARTS",
	"MT_MINIMISSILE",
	"MT_BLASTER",
	"MT_CROSSBOW",
	"MT_GRENADELAUNCHER",
	"MT_SIGIL_A",
	"MT_SIGIL_B",
	"MT_SIGIL_C",
	"MT_SIGIL_D",
	"MT_SIGIL_E",
	"MT_POWER_CRYSTAL",
	"MT_RAT",
	"MT_MISC_05",	//WBARREL
	"MT_MISC_06",	//EBARREL
	"MT_MISC_15",	//PRACTICE_TARGET
	"MT_LIGHT14",	//SILVER_LIGHT
	"MT_LIGHT13",	//BRASS_LIGHT
	"MT_LIGHT12",	//GOLD_LIGHT
	"MT_LIGHT18",	//GLOBE_LIGHT
	"MT_PILLAR2",	//TECH_PILLIAR
	"MT_PILLAR3",	//AZTEC_PILLAR
	"MT_PILLAR4",	//AZTEC_DAMAGED
	"MT_PILLAR5",	//AZTEC_RUINED
	"MT_PILLAR6",	//HUGE_TECH_PILLAR
	"MT_PILLAR7",	//ALIEN_PILLAR
	"MT_CAVE2",	//STALACTITE
	"MT_CAVE3",	//SMALL_STALACTITE
	"MT_CAVE4",	//STALACMITE
	"MT_CAVE6",	//PILLAR_TOP
	"MT_CAVE7",	//PILLAR_BOTTOM
	"MT_CAVE5",	//STALACMITE_SMALL
	"MT_LIGHT2",	//CANDLE
	"MT_LIGHT3", //CANDELABRA
	"MT_MISC_03",	//FLOOR_WATER_DRIP
	"MT_MISC_13",	//WATERFALL_SPLASH
	"MT_MISC_02",	//CEILING_WATER_DRIP
	"MT_MISC_07",	//FOUNTAIN
	"MT_BIO2",		//HEARTS_IN_TANK
	"MT_TELEPORTSTAND",
	"MT_DEADTHING1",
	"MT_DEADTHING2",
	"MT_DEADTHING3",
	"MT_DEADTHING4",
	"MT_DEADTHING5",
	"MT_DEADTHING6",
	"MT_BIO1",		//SACRIFICED_GUY
	"MT_GIBS",		//NEW THING THING#ID is 89
	"MT_MISC_04",	//BURNING_BARREL
	"MT_LIGHT11",	//BOWL
	"MT_LIGHT10",	//BRAZIER
	"MT_LIGHT9",	//SMALL_TORCH
	"MT_LIGHT8",	//UNLIT_TORCH
	"MT_MISC_14",	//CHAIN_CEILING
	"MT_LIGHT1",	//CAGE_LIGHT
	"MT_PILLAR8",	//STATUE
	"MT_PILLAR9",	//STATUE_DEAD
	"MT_LIGHT15",	//MEDIUM_TORCH
	"MT_LIGHT4",	//OUT_LAMP
	"MT_LIGHT5", //POLE_LIGHT
	"MT_ROCK1",
	"MT_ROCK2",
	"MT_ROCK3",
	"MT_ROCK4",
	"MT_TREE7",	//STICK
	"MT_RUBBLE1",
	"MT_RUBBLE2",
	"MT_RUBBLE3",
	"MT_RUBBLE4",
	"MT_RUBBLE5",
	"MT_RUBBLE6",
	"MT_RUBBLE7",
	"MT_RUBBLE8",
	"MT_MISC_08",	//CRAB
	"MT_LIGHT6",	//LARGE_TORCH
	"MT_LIGHT7", //HUGE_TORCH
	"MT_TREE2",
	"MT_TREE3",
	"MT_TREE4",
	"MT_TREE1",
	"MT_TREE6",
	"MT_TREE5",
	"MT_CAVE1",
	"MT_PILLAR1",
	"MT_MISC_10",	//POT
	"MT_MISC_09",	//PITCHER
	"MT_MISC_17",	//STOOL
	"MT_MISC_18",	//METAL_POT
	"MT_MISC_19",	//TUB
	"MT_MISC_20",	//ANVIL
	"MT_LIGHT16",	//SILVER_TECH_LAMP
	"MT_LIGHT17",	//BRASS_TECH_LAMP
	"MT_MISC_21",	//TRAY
	"MT_MISC_12",	//FILLER
	"MT_MISC_26",	//BANNER
	"MT_MISC_23",	//BOOTS
	"MT_MISC_24",	//HELMET
	"MT_MISC_25",	//SHIRT
	"MT_COUPLING",
	"MT_COUPLING_BROKEN",
	"MT_PILLAR10",	//BUBBLEPILLAR
	"MT_PILLAR11",	//BUBBLEPILLAR_FLOOR
	"MT_PILLAR12",	//BUBBLEPILLAR_CEILING
	"MT_PILLAR13",	//ASP_CLIMBER
	"MT_LIGHT19",	//SPIDER_LIGHT
	"MT_MEAT",
	"MT_JUNK",
	"MT_BURNDROP",
	"MT_TOKEN_AMMO",
	"MT_TOKEN_HEALTH",
	"MT_TOKEN",
	"MT_TOKEN_ALARM",
	"MT_TOKEN_DOOR1",
	"MT_TOKEN_SHOPCLOSE",
	"MT_TOKEN_PRISON_PASS",
	"MT_TOKEN_DOOR3",
	"MT_TOKEN_STAMINA",
	"MT_TOKEN_NEW_ACCURACY",
	"MT_TOKEN_REPORT",
	"MT_TOKEN_TOUGHNESS",
	"MT_TOKEN_ACCURACY",
	"MT_TOKEN_ORACLE_PASS",
	"MT_TOKEN_QUEST1",
	"MT_TOKEN_QUEST2",
	"MT_TOKEN_QUEST3",
	"MT_TOKEN_QUEST4",
	"MT_TOKEN_QUEST5",
	"MT_TOKEN_QUEST6",
	"MT_TOKEN_QUEST7",
	"MT_TOKEN_QUEST8",
	"MT_TOKEN_QUEST9",
	"MT_TOKEN_QUEST10",
	"MT_TOKEN_QUEST11",
	"MT_TOKEN_QUEST12",
	"MT_TOKEN_QUEST13",
	"MT_TOKEN_CRYSTAL",
	"MT_TOKEN_QUEST15",
	"MT_GATEQUEST",
	"MT_TOKEN_QUEST17",
	"MT_TOKEN_QUEST18",
	"MT_TOKEN_QUEST19",
	"MT_TOKEN_QUEST20",
	"MT_TOKEN_BISHOP",
	"MT_TOKEN_QUEST22",
	"MT_TOKEN_ORACLE",
	"MT_TOKEN_MACIL",
	"MT_TOKEN_QUEST25",
	"MT_TOKEN_LOREMASTER",
	"MT_SECRQUEST",
	"MT_TOKEN_QUEST28",
	"MT_TOKEN_QUEST29",
	"MT_TOKEN_QUEST30",
	"MT_TOKEN_QUEST31",
	"MT_SLIDESHOW"
};

#endif	/*__KSSC__*/