/*(c)2007 Samuel Villarreal*/

#define __KFILE__
#ifdef	__KFILE__

#define FILELEN	256

#define FOWARDSLASH	47
#define BACKSLASH	92

class FParse {
	private:
		typedef struct {
		char fileInput[FILELEN];
		char fileOutput[FILELEN];
		char inputName[FILELEN];
		char outputName[FILELEN];
		char path[FILELEN];
		int inputSize;
		int outputSize;
	} files_t;

	public:
		FParse(const char* file, bool read, const char* outFile);
		~FParse();
		void F_GetPath(const char* name, char* out);
		void F_RemoveExt(const char* name, char* out);
		void F_GetFileName(const char* name, char* out);
		void F_ZapComments(const int size);

		byte* stream;
		byte* nStream;	//comment information taken out of stream buffer
		files_t filePath;

	protected:
};

class RogueWriter {
	private:
		FILE* buf;
	public:
		RogueWriter(const char* file);
		~RogueWriter();

		void WriteBlock(const npc_t* x);
	protected:
};

#endif /*__KFILE__*/